AXD(1)

NAME
axd - the afnix cross debugger

SYNOPSIS
axd [ options ] [ file [ arguments ] ]

DESCRIPTION
axd invokes the AFNIX cross debugger. The axd client permits to debug an AFNIX program by inserting breakpoint at strategic positions in the source code. During a debugging session, when a breakpoint is reached, the program is suspended and the debugger prompt is shown. Since the debugger is based on the Afnix interpreter, the full power of the AFNIX interpreter is available at the debugger prompt.

OPTIONS

-h  prints an help message.

-v  displays the program version.

-i path
    add a path to the resolver.

-f assert
    enable assertion checking.

-f emacs
    enable emacs mode.

OPERATIONS
All commands are special forms located in the axd nameset. A qualified name is required to issue a command. A list with the principal commands available is given below. Since the debugger is built on top of the AFNIX interpreter, the full power of the interpreter is available at the command prompt.

axd:exit
    exit the debugger.

axd:run
    run the program.

axd:break
    install a breakpoint.

axd:continue
    resume the program execution.

VERSION
The current version is 1.1.2

SEE ALSO
axc(1), axi(1), axl(1), axs(1)

NOTES
AFNIX comes with an extensive documentation. The documentation is available on line at http://www.afnix.org or in the doc directory in the form of formated xhtml documents.

AUTHOR
AFNIX has been written by Amaury Darsch <amaury@ethernix.org>.

HISTORY
AFNIX was originally called the Aleph programming language which has been discontinued on January 2005 when the 1.0.0 version was released.